# SIPInvite Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPInvite:

List of all members.

## Public Member Functions

| SIPInvite (SIPConnection &connection, OpalTransport &transport, OpalRTPSessionManager *sm)
virtual PBoolean | OnReceivedResponse (SIP_PDU &response)
OpalRTPSessionManager & | GetSessionManager ()

## Protected Attributes

OpalRTPSessionManager | rtpSessions

## Detailed Description

Session Initiation Protocol transaction for INVITE INVITE implements a three-way handshake to handle the human input and extended duration of the transaction.

## Constructor & Destructor Documentation

SIPInvite::SIPInvite | ( | SIPConnection & | connection,
|  | OpalTransport & | transport,
|  | OpalRTPSessionManager * | sm |
| ) |  |  |

## Member Function Documentation

virtual PBoolean SIPInvite::OnReceivedResponse | ( | SIP_PDU & | response | ) | `[virtual]`

Reimplemented from SIPTransaction.

OpalRTPSessionManager& SIPInvite::GetSessionManager | ( |  | ) | `[inline]`

## Member Data Documentation

OpalRTPSessionManager SIPInvite::rtpSessions `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h